osmith has uploaded this change for review. ( 
https://gerrit.osmocom.org/c/osmo-ccid-firmware/+/42627?usp=email )


Change subject: tests/fetch_image: support copying from artifact
......................................................................

tests/fetch_image: support copying from artifact

Allow copying the image from another job in
octsim_osmo-ccid-firmware-artifacts job.

Related: osmo-ci I736b2b194813e6edff0197145fe08168c3e66903
Change-Id: I9445d6d5e4723bf6a87d4bffcdc638560471328b
---
M tests/sysmo-octsim/fetch_image.sh
1 file changed, 8 insertions(+), 1 deletion(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-ccid-firmware 
refs/changes/27/42627/1

diff --git a/tests/sysmo-octsim/fetch_image.sh 
b/tests/sysmo-octsim/fetch_image.sh
index 119d611..7958f3a 100755
--- a/tests/sysmo-octsim/fetch_image.sh
+++ b/tests/sysmo-octsim/fetch_image.sh
@@ -2,5 +2,12 @@
 . ./test-data

 echo "fetch image"
-wget -O $DFU_IMAGE 
http://ftp.osmocom.org/binaries/osmo-ccid-firmware/latest/sysmoOCTSIM.bin -nv
+
+if [ "$JENKINS_COPY_DFU_IMAGE_ARTIFACTS" = 1 ]; then
+       # FIXME
+       exit 1
+else
+       wget -O $DFU_IMAGE 
https://ftp.osmocom.org/binaries/osmo-ccid-firmware/latest/sysmoOCTSIM.bin -nv
+fi
+
 echo "done"

--
To view, visit https://gerrit.osmocom.org/c/osmo-ccid-firmware/+/42627?usp=email
To unsubscribe, or for help writing mail filters, visit 
https://gerrit.osmocom.org/settings?usp=email

Gerrit-MessageType: newchange
Gerrit-Project: osmo-ccid-firmware
Gerrit-Branch: master
Gerrit-Change-Id: I9445d6d5e4723bf6a87d4bffcdc638560471328b
Gerrit-Change-Number: 42627
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <[email protected]>

Reply via email to